# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.datasketches.common.Util
Modifier and Type
Constant Field
Value
`public static final double`
`INVERSE_GOLDEN`
`0.6180339887498949`
`public static final long`
`INVERSE_GOLDEN_U64`
`-7046029254386353133L`
`public static final double`
`LONG_MAX_VALUE_AS_DOUBLE`
`9.223372036854776E18`
`public static final char`
`TAB`
`'\t'`

org.apache.datasketches.cpc.CpcSketch
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_LG_K`
`11`

org.apache.datasketches.hll.HllSketch
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_LG_K`
`12`

org.apache.datasketches.kll.KllSketch
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_K`
`200`
`public static final int`
`MAX_K`
`65535`

org.apache.datasketches.quantilescommon.QuantilesAPI
Modifier and Type
Constant Field
Value
`public static final String`
`EMPTY_MSG`
`"The sketch must not be empty for this operation. "`
`public static final String`
`MEM_REQ_SVR_NULL_MSG`
`"MemoryRequestServer must not be null. "`
`public static final String`
`NOT_SINGLE_ITEM_MSG`
`"Sketch does not have just one item. "`
`public static final String`
`SELF_MERGE_MSG`
`"A sketch cannot merge with itself. "`
`public static final String`
`TGT_IS_READ_ONLY_MSG`
`"Target sketch is Read Only, cannot write. "`
`public static final String`
`UNSUPPORTED_MSG`
`"Unsupported operation for this Sketch Type. "`
org.apache.datasketches.quantilescommon.QuantilesUtil
Modifier and Type
Constant Field
Value
`public static final double`
`tailRoundingFactor`
`1.0E7`

org.apache.datasketches.tdigest.TDigestDouble
Modifier and Type
Constant Field
Value
`public static final short`
`DEFAULT_K`
`200`

org.apache.datasketches.thetacommon.HashOperations
Modifier and Type
Constant Field
Value
`public static final int`
`STRIDE_MASK`
`127`
org.apache.datasketches.thetacommon.ThetaUtil
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_NOMINAL_ENTRIES`
`4096`
`public static final long`
`DEFAULT_UPDATE_SEED`
`9001L`
`public static final int`
`MAX_LG_NOM_LONGS`
`26`
`public static final int`
`MIN_LG_ARR_LONGS`
`5`
`public static final int`
`MIN_LG_NOM_LONGS`
`4`
`public static final double`
`REBUILD_THRESHOLD`
`0.9375`
`public static final double`
`RESIZE_THRESHOLD`
`0.5`

org.apache.datasketches.tuple.arrayofdoubles.ArrayOfDoublesSetOperationBuilder
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_NOMINAL_ENTRIES`
`4096`
`public static final int`
`DEFAULT_NUMBER_OF_VALUES`
`1`